<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>AdminLTE 3 | Blank Page</title>

    <!-- Google Font: Source Sans Pro -->
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
    />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css" />
  </head>
  <body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"
              ><i class="fas fa-bars"></i
            ></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="#" class="nav-link">Contact</a>
          </li>
        </ul>
      </nav>
      <!-- /.navbar -->

      <!-- Main Sidebar Container -->
      <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="index3.html" class="brand-link">
          <img
            src="dist/img/AdminLTELogo.png"
            alt="AdminLTE Logo"
            class="brand-image img-circle elevation-3"
            style="opacity: 0.8"
          />
          <span class="brand-text font-weight-light">Devcamp 120</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user (optional) -->
          <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
              <img
                src="dist/img/user2-160x160.jpg"
                class="img-circle elevation-2"
                alt="User Image"
              />
            </div>
            <div class="info">
              <a href="#" class="d-block">Đinh Nhật Toàn</a>
            </div>
          </div>

          <!-- SidebarSearch Form -->
          <div class="form-inline">
            <div class="input-group" data-widget="sidebar-search">
              <input
                class="form-control form-control-sidebar"
                type="search"
                placeholder="Search"
                aria-label="Search"
              />
              <div class="input-group-append">
                <button class="btn btn-sidebar">
                  <i class="fas fa-search fa-fw"></i>
                </button>
              </div>
            </div>
          </div>

          <!-- Sidebar Menu -->
          <nav class="mt-2">
            <ul
              class="nav nav-pills nav-sidebar flex-column"
              data-widget="treeview"
              role="menu"
              data-accordion="false"
            >
              <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
              <li class="nav-item menu-open">
                <a href="#" class="nav-link active">
                  <i class="nav-icon fas fa-tachometer-alt"></i>
                  <p>
                    Dashboard
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="customer.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Customer</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="orderByCustomer.html" class="nav-link active">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Order By Customer</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="drinks.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Drinks</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="menu.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Menu</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="voucher.html" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Voucher</p>
                    </a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6">
                <h1>Pizza365</h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="#">Home</a></li>
                  <li class="breadcrumb-item active">User</li>
                </ol>
              </div>
            </div>
          </div>
          <!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="container">
            <h2 class="text-center">Order & Customer</h2>

            <form id="inputform01" class="jumbotron container">
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="customer">Customer</label>
                </div>
                <div class="col-sm-3">
                  <select
                    id="customer-select"
                    name="customer"
                    class="form-control"
                  ></select>
                </div>
                <div class="col-sm-3">
                  <label for="order">Order</label>
                </div>
                <div class="col-sm-3">
                  <select
                    id="order-select"
                    disabled
                    name="order"
                    class="form-control"
                  ></select>
                </div>
              </div>
            </form>
          </div>
        </section>
        <!-- /.content -->
      </div>
      <!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="float-right d-none d-sm-block"><b>Version</b> 1.0.0</div>
        <strong
          >Copyright &copy; 2023
          <a href="https://adminlte.io">Devcamp 120</a>.</strong
        >
        All rights reserved.
      </footer>
      <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>

    <script>
      //Get data country
      $.ajax({
        url: "http://localhost:8080/devcamp-customers",
        method: "GET",
        success: function (pObjRes) {
          console.log(pObjRes);
          loadDataToCustomerSelect(pObjRes);
        },
        error: function (pXhrObj) {
          console.log(pXhrObj);
        },
      });

      var gCustomerSelectElement = $("#customer-select");

      function loadDataToCustomerSelect(pCustomerList) {
        for (i = 0; i < pCustomerList.length; i++) {
          var bCustomerOption = $("<option/>");
          bCustomerOption.prop("value", pCustomerList[i].customerId);
          bCustomerOption.prop("text", pCustomerList[i].fullname);
          gCustomerSelectElement.append(bCustomerOption);
        }
      }

      var gOrderSelectElement = $("#order-select");

      //callback function
      gCustomerSelectElement.on("change", function () {
        gOrderSelectElement.html("");
        var bCustomerId = $(this).val();

        getOrderByCustomerId(bCustomerId);
      });

      //find brandTypes array by brandId
      function getOrderByCustomerId(pCustomerId) {
        $.ajax({
          url: "http://localhost:8080/devcamp-orders?customerId=" + pCustomerId,
          method: "GET",
          success: function (pObjRes) {
            console.log(pObjRes);
            loadDataToOrderSelect(pObjRes);
          },
          error: function (pXhrObj) {
            console.log(pXhrObj);
          },
        });
      }

      function loadDataToOrderSelect(pOrderList) {
        if (pOrderList.length > 0) {
          gOrderSelectElement.prop("disabled", false);

          for (i = 0; i < pOrderList.length; i++) {
            var bOrderOption = $("<option/>");
            bOrderOption.prop("value", pOrderList[i].order_id);
            bOrderOption.prop("text", pOrderList[i].orderCode);
            gOrderSelectElement.append(bOrderOption);
          }
        } else {
          gOrderSelectElement.prop("disabled", "disabled");
        }
      }
    </script>
  </body>
</html>
